## manuel 1.8.0

=== debian/changelog ===
manuel (1.8.0-4) unstable; urgency=medium

  [ Daniel Stender ]
  * removed deb/tests/tests.

  [ Barry Warsaw ]
  * d/patches/disable-tests-requires.patch: Added to workaround an issue
    where Python will still try to download tests_requires from PyPI.

 -- Daniel Stender <debian@danielstender.com>  Tue, 03 Nov 2015 03:32:57 +0100

manuel (1.8.0-3) unstable; urgency=medium

  * deb/copyright: updated.
  * Added docs-no-updated-timestamp.diff (closes: #788941).
  * Added DEP-8 test suite.

 -- Daniel Stender <debian@danielstender.com>  Mon, 29 Jun 2015 07:52:38 +0200

manuel (1.8.0-2) unstable; urgency=low

  * Added Zope license for bootstrap.py to debian/copyright.
  * Added myself to uploaders.
  * Still initial release (Closes: #776871).

 -- W. Martin Borgert <debacle@debian.org>  Sat, 13 Jun 2015 22:37:40 +0000

manuel (1.8.0-1) unstable; urgency=medium

  * Initial release (Closes: #776871).

 -- Daniel Stender <debian@danielstender.com>  Wed, 29 Apr 2015 10:09:04 +0200
