=== debian/control ===
Source: manuel
Section: python
Priority: optional
Maintainer: Daniel Stender <debian@danielstender.com>
Uploaders:
 Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
 W. Martin Borgert <debacle@debian.org>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python-all (>= 2.6.6-3~),
 python-setuptools,
 python-six,
 python-sphinx (>= 1.0.7+dfsg-1~),
 python-zope.testing,
 python3-all,
 python3-setuptools,
 python3-six,
 python3-zope.testing
Standards-Version: 3.9.6
Homepage: http://pythonhosted.org//manuel/
Vcs-Git: git://anonscm.debian.org/python-modules/packages/manuel.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/manuel.git
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.3
Testsuite: autopkgtest

Package: python-manuel
Architecture: all
Depends:
 ${misc:Depends},
 ${python:Depends},
 ${sphinxdoc:Depends}
Description: Python library for testable documents and documented tests
 Manuel is a Python library for writing tested documentation which
 makes it possible to mix traditional doctests with custom test syntax.
 Several plug-ins providing different test features are included, but
 Manuel is also open to create custom plugins. Currently, unittests and
 zope.testing are the supported test runners.
 .
 This package contains the modules for Python.

Package: python3-manuel
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${sphinxdoc:Depends}
Description: Python3 library for testable documents and documented tests
 Manuel is a Python library for writing tested documentation which
 makes it possible to mix traditional doctests with custom test syntax.
 Several plug-ins providing different test features are included, but
 Manuel is also open to create custom plugins. Currently, unittests and
 zope.testing are the supported test runners.
 .
 This package contains the modules for Python3.
