=== debian/tests/control ===
Tests: python-manuel
Depends: python-all, python-setuptools, python-six, python-zope.testing

Tests: python3-manuel
Depends: python3-all, python3-setuptools, python3-six, python3-zope.testing
