## manuel 1.9.0

=== debian/changelog ===
manuel (1.9.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field

  [ James Valleroy ]
  * Convert from git-dpm to patches unapplied format
  * d/control: Add myself to uploaders
  * Patch doctests to support python3.7 (Closes: #903524)
  * debian/compat: Bump compat level to 11
  * debian/control: Bump Standards-Version to 4.1.5
  * debian/control: Add build-depend on python3-sphinx
  * New upstream version 1.9.0
  * debian/control: Slightly tweak homepage URL
  * debian/control: Bump Standards-Version to 4.2.0

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 06 Aug 2018 19:06:24 -0400

manuel (1.8.0-5) unstable; urgency=medium

  * Team upload.

  [ Barry Warsaw ]
  * Now that dh-python and zope.testing have been fixed, the patch for
    setup.py is no longer necessary.

  [ Daniel Stender |
  * deb/control:
    + put team into Maintainer field (unconfirmed team uploads).
    + removed myself from Maintainer.
    + dropped Testsuite field (deprecated).
    + bumped standards to 3.9.8 (no changes needed).
  * deb/copyright:
    + corrected a typo.

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

 -- Daniel Stender <stender@debian.org>  Thu, 30 Jun 2016 19:37:40 +0200
