=== debian/control ===
--- 
+++ 
@@ -1,12 +1,10 @@
 Source: manuel
 Section: python
 Priority: optional
-Maintainer: Daniel Stender <debian@danielstender.com>
-Uploaders:
- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
- W. Martin Borgert <debacle@debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: James Valleroy <jvalleroy@mailbox.org>,
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 11),
  dh-python,
  python-all (>= 2.6.6-3~),
  python-setuptools,
@@ -16,14 +14,12 @@
  python3-all,
  python3-setuptools,
  python3-six,
+ python3-sphinx (>= 1.0.7+dfsg-1~),
  python3-zope.testing
-Standards-Version: 3.9.6
-Homepage: http://pythonhosted.org//manuel/
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/manuel.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/manuel.git
-X-Python-Version: >= 2.6
-X-Python3-Version: >= 3.3
-Testsuite: autopkgtest
+Standards-Version: 4.2.0
+Homepage: https://pythonhosted.org/manuel/
+Vcs-Git: https://salsa.debian.org/python-team/modules/manuel.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/manuel
 
 Package: python-manuel
 Architecture: all
