## manuel 1.10.1

=== debian/changelog ===
manuel (1.10.1-2) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Andrey Rahmatullin ]
  * Drop Python 2 support.

 -- Andrey Rahmatullin <wrar@debian.org>  Wed, 07 Aug 2019 21:13:59 +0500

manuel (1.10.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

  [ James Valleroy ]
  * d/control: Standards-Version is 4.2.1 now (no changes needed)
  * New upstream version 1.10.1
  * Drop patch 0002-Update-doctests-to-support-python3.7, applied upstream
  * d/control: Drop obsolete version restrictions for build-depends
  * d/rules: List sphinx calls in separate lines
  * d/control: Set Rules-Requires-Root to no
  * d/control: Standards-Version is 4.3.0 now (no changes needed)

 -- James Valleroy <jvalleroy@mailbox.org>  Sun, 30 Dec 2018 13:09:35 -0500
