=== debian/control ===
Source: manuel
Section: python
Priority: optional
Rules-Requires-Root: no
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: James Valleroy <jvalleroy@mailbox.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 python3-all,
 python3-setuptools,
 python3-six,
 python3-sphinx,
 python3-zope.testing
Standards-Version: 4.4.0
Homepage: https://pythonhosted.org/manuel/
Vcs-Git: https://salsa.debian.org/python-team/modules/manuel.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/manuel

Package: python3-manuel
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${sphinxdoc:Depends}
Description: Python3 library for testable documents and documented tests
 Manuel is a Python library for writing tested documentation which
 makes it possible to mix traditional doctests with custom test syntax.
 Several plug-ins providing different test features are included, but
 Manuel is also open to create custom plugins. Currently, unittests and
 zope.testing are the supported test runners.
 .
 This package contains the modules for Python3.
