## manuel 1.12.4

=== debian/changelog ===
manuel (1.12.4-2) unstable; urgency=medium

  * Handle test output change on python3.11 (Closes: #1024956)

 -- James Valleroy <jvalleroy@mailbox.org>  Fri, 02 Dec 2022 15:15:39 -0500

manuel (1.12.4-1) unstable; urgency=medium

  [ Carl Suster ]
  * d/watch: switch to version 4 and track tags rather than the empty releases.

  [ James Valleroy ]
  * Test only supported python versions
  * Set Standards-Version to 4.6.1
  * Add my copyright years
  * New upstream version 1.12.4
  * Build-depend on python3-myst-parser
  * Build-depend on python3-sphinx-copybutton
  * Drop removed file from d/copyright
  * Update upstream copyright years
  * gbp: Enable pristine-tar and sign-tags

 -- James Valleroy <jvalleroy@mailbox.org>  Fri, 07 Oct 2022 09:29:43 -0400

manuel (1.10.1-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.0, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 28 May 2022 01:12:28 +0100

manuel (1.10.1-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

 -- Sandro Tosi <morph@debian.org>  Tue, 03 May 2022 23:45:28 -0400
