=== debian/control ===
--- 
+++ 
@@ -2,20 +2,22 @@
 Section: python
 Priority: optional
 Rules-Requires-Root: no
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: James Valleroy <jvalleroy@mailbox.org>,
 Build-Depends:
- debhelper-compat (= 11),
+ debhelper-compat (= 13),
  dh-python,
  python3-all,
+ python3-myst-parser,
  python3-setuptools,
  python3-six,
  python3-sphinx,
+ python3-sphinx-copybutton,
  python3-zope.testing
-Standards-Version: 4.4.0
+Standards-Version: 4.6.1
 Homepage: https://pythonhosted.org/manuel/
-Vcs-Git: https://salsa.debian.org/python-team/modules/manuel.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/manuel
+Vcs-Git: https://salsa.debian.org/python-team/packages/manuel.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/manuel
 
 Package: python3-manuel
 Architecture: all
