=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
   https://github.com/benji-york/manuel/tags \
   (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
# better than Pypi tarball (contains complete prebuild documentation)
