## manuel 1.13.0

=== debian/changelog ===
manuel (1.13.0-2) unstable; urgency=medium

  * Team upload.
  * Remove python3-six from Build-Depends: & autopkgtest dependencies

 -- Alexandre Detiste <tchet@debian.org>  Sun, 12 Jan 2025 15:49:26 +0100

manuel (1.13.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Tue, 12 Nov 2024 13:53:55 +0000

manuel (1.12.4-4) unstable; urgency=medium

  * Team upload.
  * Do not generate a dependency on python3-pkg-resources (Closes: #1083474)
  * Fix SyntaxWarning (Closes: #1085684)

 -- Alexandre Detiste <tchet@debian.org>  Mon, 21 Oct 2024 17:37:51 +0200

manuel (1.12.4-3) unstable; urgency=medium

  * Team upload.
  * Fix build following the removal of "setup.py test" (closes: #1080116).
  * Don't rely on "setup.py test" in autopkgtest (closes: #1079748).
  * Use pybuild-plugin-pyproject.

 -- Colin Watson <cjwatson@debian.org>  Tue, 03 Sep 2024 13:45:03 +0100
