=== debian/control ===
--- 
+++ 
@@ -6,11 +6,11 @@
 Uploaders: James Valleroy <jvalleroy@mailbox.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-myst-parser,
  python3-setuptools,
- python3-six,
  python3-sphinx,
  python3-sphinx-copybutton,
  python3-zope.testing
@@ -31,5 +31,3 @@
  Several plug-ins providing different test features are included, but
  Manuel is also open to create custom plugins. Currently, unittests and
  zope.testing are the supported test runners.
- .
- This package contains the modules for Python3.
