=== debian/tests/control ===
Tests: python3-manuel
Depends: python3-all, python3-setuptools, python3-zope.testing
